/*=============================================================================
 *                          Softwarepraktikum iMaze
 *                                 1993/94
 *                    Joerg Czeranski    Hans-Ulrich Kiel
 *                              Tim Wittrock
 *-----------------------------------------------------------------------------
 * signale.h,v
 * Revision 1.4  1997/05/19 14:28:28  tim
 * RCS-version
 *
 *-----------------------------------------------------------------------------
 * Kommentar:
 *  Definiert moegliche Eingabe-Signale
 *===========================================================================*/

static char rcsid_signale[] = "signale.h,v 1.4 1997/05/19 14:28:28 tim Exp";


#define AKTIONSSIGNALANZ 10 /* Anzahl der frei verfuegbaren Signale
                               (diese Signale sind fuer die Kompabilitaet
                               mit zukuenfigen Versionen vorgesehen) */

#define SCHUSSSIGNAL   0    /* Spieler feuert einen Schuss ab */
#define VORSIGNAL      1    /* Spieler geht einen Schritt vorwaerts */
#define ZURUECKSIGNAL  2    /* Spieler geht einen Schritt rueckwaerts */
#define LINKSSIGNAL    3    /* Spieler dreht nach links */
#define RECHTSSIGNAL   4    /* Spieler dreht nach rechts */
#define STOPSIGNAL     5    /* Spiel temporaer verlassen */
#define WEITERSIGNAL   6    /* ins Spiel zurueckkehren */

#define AKTIONSSIGNALE 7 /* Offset */
#define SIGNALANZ      (AKTIONSSIGNALE + AKTIONSSIGNALANZ)
