/*=============================================================================
 *                          Softwarepraktikum iMaze
 *                                 1993/94
 *                    Joerg Czeranski    Hans-Ulrich Kiel
 *                              Tim Wittrock
 *-----------------------------------------------------------------------------
 * bewegung.h,v
 * Revision 1.4  1997/05/19 14:28:28  tim
 * RCS-version
 *
 *-----------------------------------------------------------------------------
 * Kommentar:
 *  Definition der Prototypen fuer den Spieler- und
 *  Schussbewegungsteil im Server
 *===========================================================================*/

static char rcsid_bewegung[] = "bewegung.h,v 1.4 1997/05/19 14:28:28 tim Exp";


/* Prototypen fuer globale Bewegungs-Funktionen */

#ifdef __STDC__

void init_bewegung(void);
void spieler_ende(int spieler_nr);
void spieler_start(int spieler_nr, int spruch_laenge, char *spruch);
void spieler_suspendieren(int spieler_nr);
void init_runde(void);
void bewegung(int spieler_nr, int paket_laenge, void *paket,
	int *client_ende);
void paket_bauen(int spieler_nr, int *paket_laenge, void **paket,
	int client_ende, int paket_nr);
void schuss_bewegung(void);
int paket_bestaetigt(int spieler_nr, int paket_nr);

#else

void init_bewegung();
void spieler_ende();
void spieler_start();
void spieler_suspendieren();
void init_runde();
void bewegung();
void paket_bauen();
void schuss_bewegung();
int paket_bestaetigt();

#endif
