/*=============================================================================
 *                          Softwarepraktikum iMaze
 *                                 1993/94
 *                    Joerg Czeranski    Hans-Ulrich Kiel
 *                              Tim Wittrock
 *-----------------------------------------------------------------------------
 * server.h,v
 * Revision 1.4  1997/05/19 14:28:28  tim
 * RCS-version
 *
 *-----------------------------------------------------------------------------
 * Kommentar:
 *  Definition des Prototypen fuer den Session-Prozess im Server
 *  und der Konstanten fuer die Kommunikation zwischen den Prozessen
 *===========================================================================*/

static char rcsid_server[] = "server.h,v 1.4 1997/05/19 14:28:28 tim Exp";

#define SERVER_VERSION "ixmaze-server  1.4"
/* Nachrichten fuer Interprozess-Kommunikation: */

/* von server.c an session.c */
#define NT_SPIEL_BEENDEN 0 /* Spiel soll beendet werden */
#define NT_NEUER_SPIELER 1 /* neuer Spieler kommt ins Spiel */

/* von session.c an server.c */
#define NT_SPIEL_ENDE      16 /* Spiel wurde beendet */
#define NT_SPIELER_ENDE    17 /* Spieler hat das Spiel verlassen */
#define NT_SPIELER_TIMEOUT 18 /* Spieler wurde nach einem Timeout aus dem
                                 Spiel entfernt */


/* Prototyp fuer Session-Prozess */

#ifdef __STDC__

void session(void);

#else

void session();

#endif

#define NORMAL_MODUS  0
#define ADAPTIV_MODUS 1
#define TEAM_MODUS    2

#define ALTE_TUEREN   0
#define REALE_TUEREN  1

extern int spielModus;
extern int tuerModus;
extern int transparentStartZeit;
extern int transparentUebernahmeZeit;
extern int mindEinTransparenter;
