/*=============================================================================
 *                          Softwarepraktikum iMaze
 *                                 1993/94
 *                    Joerg Czeranski    Hans-Ulrich Kiel
 *                              Tim Wittrock
 *-----------------------------------------------------------------------------
 * speicher.h,v
 * Revision 1.4  1997/05/19 14:28:28  tim
 * RCS-version
 *
 *-----------------------------------------------------------------------------
 * Kommentar:
 *  Prototypen fuer die Speicher-Funktionen
 *===========================================================================*/

static char rcsid_speicher[] = "speicher.h,v 1.4 1997/05/19 14:28:28 tim Exp";


/* Prototypen fuer die Speicher-Funktionen */

#ifdef __STDC__

void speicher_belegen(void **zeiger, int groesse);
void speicher_vergroessern(void **zeiger, int groesse);
void speicher_freigeben(void **zeiger);
void liste_initialisieren(int *anzahl, void **liste);
void liste_verlaengern(int *anzahl, void **liste, int element_groesse);
void liste_kopieren(int *anzahl_neu, void **liste_neu, int *anzahl,
	void **liste, int element_groesse);
void liste_freigeben(int *anzahl, void **liste);

#else

void speicher_belegen();
void speicher_vergroessern();
void speicher_freigeben();
void liste_initialisieren();
void liste_verlaengern();
void liste_kopieren();
void liste_freigeben();

#endif
